#-----------------------------------------------------------------------
# initiate:   systemctl enable aehostd.service
# start:      systemctl start aehostd.service
# get status: systemctl status aehostd.service
#
# {{ ansible_managed }}
#-----------------------------------------------------------------------

[Unit]
Description=NSS/PAM service for AE-DIR
Documentation=https://ae-dir.com/aehostd.html
Requires=local-fs.target network.target
Before=nss-user-lookup.target
After=local-fs.target network.target

[Service]
Type=simple
PIDFile={{ aehostd_pid_file }}
User={{ aehostd_user }}
Group={{ aehostd_group }}
# force libldap to ignore ldap.conf
Environment=LDAPNOINIT=1
# let Python use random object identifier
Environment=PYTHONHASHSEED=random
# full optimization (especially __debug__ = False)
Environment=PYTHONOPTIMIZE=2
# avoid to accidentially write Python byte code
Environment=PYTHONDONTWRITEBYTECODE=1
Environment=PYTHONWARNINGS=error
ExecStart={{ aehostd_python }} -m aehostd.srv --no-fork --pid {{ aehostd_pid_file }} --config {{ aehostd_conf_file }}
Restart=always
StandardError=syslog
UMask=027
# various hardening options
CapabilityBoundingSet=
AmbientCapabilities=
PrivateTmp=yes
PrivateDevices=yes
DevicePolicy=closed
DeviceAllow=/dev/log w
ProtectSystem=full
ProtectHome=yes
ProtectKernelModules=yes
ProtectKernelTunables=yes
ProtectKernelLogs=yes
ProtectControlGroups=yes
ProtectHostname=yes
ProtectClock=yes
NoNewPrivileges=yes
MountFlags=private
LockPersonality=yes
RestrictRealtime=yes
RestrictNamespaces=yes
RestrictSUIDSGID=yes
KeyringMode=private
MemoryDenyWriteExecute=yes
RemoveIPC=yes
SystemCallArchitectures=native
SystemCallFilter=~ madvise @clock @cpu-emulation @debug @keyring @module @mount @raw-io @reboot @swap @obsolete @timer @resources @privileged @pkey @obsolete @setuid
RestrictAddressFamilies=AF_INET AF_INET6 AF_UNIX

{% if aehostd_apparmor_enabled %}
#AppArmorProfile=aehostd
{% endif %}

[Install]
WantedBy=multi-user.target
